<?php
	//include('is_logged.php');//Archivo verifica que el usario que intenta acceder a la URL esta logueado
	/* Connect To Database*/
	require_once ("../../inc/db.php");//Contiene las variables de configuracion para conectar a la base de datos
	//require_once ("../config/conexion.php");//Contiene funcion que conecta a la base de datos
	
	$action = (isset($_REQUEST['action'])&& $_REQUEST['action'] !=NULL)?$_REQUEST['action']:'';
	if($action == 'ajax'){
		// escaping, additionally removing everything that could be (html/javascript-) code
         $q = mysqli_real_escape_string($conn,(strip_tags($_REQUEST['q'], ENT_QUOTES)));
		 $aColumns = array('codigo', 'nombre');//Columnas de busqueda
		 $sTable = "productos";
		 $sWhere = "";
		if ( $_GET['q'] != "" )
		{
			$sWhere = "WHERE (";
			for ( $i=0 ; $i<count($aColumns) ; $i++ )
			{
				$sWhere .= $aColumns[$i]." LIKE '%".$q."%' OR ";
			}
			$sWhere = substr_replace( $sWhere, "", -3 );
			$sWhere .= ')';
		}
		include 'pagination.php'; //include pagination file
		//pagination variables
		$page = (isset($_REQUEST['page']) && !empty($_REQUEST['page']))?$_REQUEST['page']:1;
		$per_page = 5; //how much records you want to show
		$adjacents  = 4; //gap between pages after number of adjacents
		$offset = ($page - 1) * $per_page;
		//Count the total number of row in your table*/
		$count_query   = mysqli_query($conn, "SELECT count(*) AS numrows FROM $sTable  $sWhere");
		$row= mysqli_fetch_array($count_query);
		$numrows = $row['numrows'];
		$total_pages = ceil($numrows/$per_page);
		$reload = './index.php';
		//main query to fetch the data
		$sql="SELECT * FROM  $sTable $sWhere LIMIT $offset,$per_page";
		$query = mysqli_query($conn, $sql);
		//loop through fetched data
		if ($numrows>0){
			
			?>
			<div class="table-responsive">
			  <table class="table">
				<tr  class="warning">
					<th>Código</th>
					<th>Producto</th>
					<th><span class="pull-right">Cant.</span></th>
					<th><span class="pull-right">Stock</span></th>
					<th><span class="pull-right">Descuento</span></th>
					<th><span class="pull-right">Precio</span></th>
					<th class='text-center' style="width: 36px;">Agregar</th>
				</tr>
				<?php
				while ($row=mysqli_fetch_array($query)){
					$id_producto=$row['idproductos'];
					$codigo_producto=$row['codigo'];
					$nombre_producto=$row['nombre'];
					$stock=$row["stock"];
					$precio_venta=$row["precio_venta"];
					$precio_venta=number_format($precio_venta,2,'.','');
					?>
					<tr>
						<td><?php echo $codigo_producto; ?></td>
						<td><?php echo $nombre_producto; ?></td>
						<td class='col-xs-1'>
						<div class="pull-right">
						<input type="text" class="form-control" style="text-align:right" id="cantidad_<?php echo $id_producto; ?>"  value="1" >
						</div></td>
						<td style="text-align: center;">
						<!--<small class="label pull-right bg-red"><?=$stock?></small>	-->	
						<?php 
						switch ($stock) {
							case (($stock >= 0) && ($stock <= 5)):
								echo '<small class="label pull-right bg-red">'.$stock.'</small>';
								break;
							case (($stock >= 5) && ($stock <= 10)):
								echo '<small class="label pull-right bg-yellow">'.$stock.'</small>';
								break;
							case ($stock > 10):
								echo '<small class="label pull-right bg-green">'.$stock.'</small>';
								break;
							default:
								# code...
								break;
						}
						?>				
						</td>
						<td class='col-xs-2'><div class="pull-right">
						<input  type="text" class="form-control" style="text-align:right" id="descuento_<?php echo $id_producto; ?>"   value="0">
						</div>

					</td>
						<td class='col-xs-2'><div class="pull-right">
						<input  type="text" class="form-control" style="text-align:right" id="precio_venta_<?php echo $id_producto; ?>"   value="<?=$precio_venta?>">
						</div>
						<script>
						$('#descuento_<?php echo $id_producto; ?>').keyup(function(){
							var des = $(this).val();
							var pre = $('#precio_venta_<?php echo $id_producto; ?>').val();
							var to = parseFloat(<?=$precio_venta?>) - parseFloat(des);
							$('#precio_venta_<?php echo $id_producto; ?>').val(to);
						})
						</script>

					</td>
						<td class='text-center'><a class='btn btn-info'href="#" onclick="agregar('<?php echo $id_producto ?>')"><i class="glyphicon glyphicon-plus"></i></a></td>
					</tr>
					<?php
				}
				?>
				<tr>
					<td colspan=5><span class="pull-right">
					<?php
					 echo paginate($reload, $page, $total_pages, $adjacents);
					?></span></td>
				</tr>
			  </table>
			</div>
			<?php
		}
	}
?>